summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorZach2019-05-23 20:44:57 -0500
committerZach2019-05-23 20:44:57 -0500
commit992e30b3944f92f21bec70761e2e8fd377195ddb (patch)
treea44e6e8a9bd79db8d20ebd29218bd50937ae2954
downloadaur-992e30b3944f92f21bec70761e2e8fd377195ddb.tar.gz
initial commit
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD34
-rw-r--r--config.js13
3 files changed, 62 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..7ecce2fbe27
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,15 @@
+pkgbase = chromium-extension-augmented-steam-git
+ pkgdesc = Chrome/Chromium extension for Augmented Steam - git/dev
+ pkgver = v0.9.7.r6.g03603955
+ pkgrel = 1
+ url = https://github.com/tfedor/AugmentedSteam
+ arch = any
+ license = GPL3
+ makedepends = git
+ source = git+https://github.com/tfedor/AugmentedSteam.git
+ source = config.js
+ sha256sums = SKIP
+ sha256sums = 7b7e2ad8c1fd886dcf6b83d75bb973f18ee8c973ad43bb70de7dadf7619e655d
+
+pkgname = chromium-extension-augmented-steam-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..f9aee1a932f
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,34 @@
+#Maintainer: Zachary Jordan <zacjor1 at gmail dot com>
+
+pkgsubn=AugmentedSteam
+pkgname=chromium-extension-augmented-steam-git
+pkgver=v0.9.7.r6.g03603955
+pkgrel=1
+pkgdesc="Chrome/Chromium extension for Augmented Steam - git/dev"
+arch=('any')
+url='https://github.com/tfedor/AugmentedSteam'
+license=('GPL3')
+makedepends=(git)
+source=("git+https://github.com/tfedor/AugmentedSteam.git"
+ config.js)
+sha256sums=('SKIP'
+ '7b7e2ad8c1fd886dcf6b83d75bb973f18ee8c973ad43bb70de7dadf7619e655d')
+
+pkgver() {
+ cd "${srcdir}/${pkgsubn}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cp "config.js" "${srcdir}/${pkgsubn}/js/config.js"
+ cd "${srcdir}/${pkgsubn}"
+}
+
+package() {
+ mkdir -p "${pkgdir}/usr/share/${pkgname}"
+ shopt -s dotglob
+ cp -dr --no-preserve=ownership "${srcdir}/${pkgsubn}/"/* "${pkgdir}/usr/share/${pkgname}"
+} \ No newline at end of file
diff --git a/config.js b/config.js
new file mode 100644
index 00000000000..031154c4aa5
--- /dev/null
+++ b/config.js
@@ -0,0 +1,13 @@
+/**
+ * This is basic configuration for EnhancedSteam extension,
+ * Uncomment this class, fill in your data and rename file to config.js
+ */
+
+let Config = {
+
+ ApiServerHost: "https://esapi.isthereanydeal.com",
+ CdnHost: "https://es.isthereanydeal.com",
+ PublicHost: "https://es.isthereanydeal.com",
+
+};
+